# ZPhotoSlides, Zope product
# Copyright (C) 2002-2003  Jean-Francois Roche <jfroche@jfroche.be>
#                          Florent Carlier <florent.carlier@insa-rennes.fr>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# $Id: layout.py,v 2.1 2004/07/16 12:13:21 jfroche Exp $'
#
# collection of dictionaries with layout settings
#
def give_list():
	list_dict = {} 
	list_dict['body'] = {'color':'#000000','background':'#dfdfdf','font-family':'verdana, arial,helvetica, sans-serif','font-size':'15px'}
	list_dict['p'] = {'font-size' : '15px','font-family' : 'verdana, arial, helvetica, sans-serif','color' : '#003333'}
	list_dict['boxborder'] = {'BORDER-RIGHT':'#000000 1px solid','BORDER-TOP': '#000000 1px solid',
				  'BORDER-LEFT': '#000000 1px solid','BORDER-BOTTOM':'#000000 1px solid'}
	list_dict['h1'] = {'font-size' : '24px','font-weight' : 'bold','font-family' : 'verdana, arial, helvetica, sans-serif',
			   'color' : '#777777', 'background' : 'transparent'}
	list_dict['h2'] = {'font-size' : '22px','font-weight': 'bold','font-family':'verdana, arial, helvetica, sans-serif',
			   'color' : '#555555','background' : 'transparent'}
	list_dict['h3'] = {'font-size' : '18px','font-weight' : 'bold','font-family' : 'verdana, arial, helvetica, sans-serif',
			   'color':'#444444','background': 'transparent'}
	list_dict['h4'] = {'font-size':'11px','font-weight' : 'none','font-family':'verdana, arial, helvetica, sans-serif','color': '#343434',
			   'background' : 'transparent'}
	list_dict['td'] = {'font-size' : '12px','font-family':'arial, helvetica, sans-serif','color' : '#444444'}
	list_dict['ul'] = {'font-size' : '11px','font-family':'verdana, arial, helvetica, sans-serif',
			   'color' : '#444444','background' : 'transparent'}
	list_dict['form'] = {'margin':'0px','padding':'0px','border':'0px'}
	list_dict['input'] = {'font-family':'clean, fixed, courier, monospace','font-size':'12px','color':'#070707',
			      'background':'#d7d7d7','border-left':'1px solid #333333','border-top':'1px solid #333333',
			      'border-right' : '1px solid #333333','border-bottom':'1px solid #333333'}
	list_dict['submit_over'] = {'color':'#ffffff','background':'#d7d7d7'}
	list_dict['submit_focus'] = {'color':'#ffffff','background' : '#e7e7e7'}
	list_dict['a_link'] = {'color':'#000080','text-decoration':'none'}
	list_dict['a_visited'] = {'color':'#000080','text-decoration':'none'}
	list_dict['a_active'] = {'color' : '#3399cc','text-decoration':'none'}
	list_dict['a_hover'] = {'color':'#005050','text-decoration' : 'underline'}
	
	return list_dict

